Subject: Bug#647: Mac client cannot find X server in OSX 10.10 (Yosemite)

From: John Eppley <[email-masked]>
Date: Mon, 20 Oct 2014 08:25:40 -1000

Package: x2goclient
I am running the Aug 8th version of the Mac Client on the OSX 10.10 preview
and get an error when I try to connect to a server. I've attached a screen
shot of the error and below is taken from ~/.x2go/S-jmeppley-.../sessions:

Socket: PANIC! Failed to resolve address of
'/private/tmp/com.apple.launchd.bZMPGSaE78/org.macosforge.xquartz'.
Loop: PANIC! Unknown display host
'/private/tmp/com.apple.launchd.bZMPGSaE78/org.macosforge.xquartz'.

X11 version: "XQuartz 2.7.7 (xorg-server 1.15.2)"

The x2go server is running on Ubuntu 12.04

server package versions:
x2goserver: "4.0.1.15-0~847~ubuntu12.04.1"
x2goserver-xsession: "4.0.1.18-0~949~ubuntu12.04.1"
nxagent: "2:3.5.0.27-0~446~ubuntu12.04.1"

I can connect to the same server using OSX 10.9 with no errors.